Bug 250014 - crash in svg gdk-pixbuf-loader (fedora7)
crash in svg gdk-pixbuf-loader (fedora7)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-29 09:30 EDT by Andre Klapper
Modified: 2008-03-10 01:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 01:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 443410 None None None Never

  None (edit)
Description Andre Klapper 2007-07-29 09:30:44 EDT
ahoj,
upstream bugzilla gets tons of fedora reports as you know, many of them useless.
i will perhaps sometimes try to post the useful ones downstream here, if it helps.

http://bugzilla.gnome.org/show_bug.cgi?id=443410#c7 looks like a useful trace
for one of those useless crashers, and i have that feeling that it's a fedora 7
issue, so reporting it downstream here. most probably triggered somewhere by
gtk+, and not by evolution.


#2  <signal handler called>
#3  slab_allocator_free_chunk (chunk_size=<value optimized out>, mem=0x14fb8c0)
    at gslice.c:1021
#4  0x00002aaab31e075f in magazine_cache_push_magazine (
    ix=<value optimized out>, magazine_chunks=<value optimized out>, 
    count=<value optimized out>) at gslice.c:567
#5  0x00002aaab31e08bb in thread_memory_magazine2_unload (
    tmem=<value optimized out>, ix=3007560864) at gslice.c:697
#6  0x00002aaab31e111d in IA__g_slice_free1 (mem_size=<value optimized out>, 
    mem_block=0x159ba10) at gslice.c:806
#7  0x00002aaab31ae4da in IA__g_ptr_array_free (array=0x159ba10, 
    free_segment=<value optimized out>) at garray.c:400
#8  0x00002aaac8ae22ec in _rsvg_node_finalize (self=0x1947c40)
    at rsvg-structure.c:114
#9  0x00002aaac8ae2319 in _rsvg_node_free (self=0x2aaab343bca0)
    at rsvg-structure.c:123
#10 0x00002aaac8ace222 in rsvg_defs_free (defs=0x159efa0) at rsvg-defs.c:177
#11 0x00002aaac8aedfdd in instance_dispose (instance=<value optimized out>)
    at rsvg-gobject.c:98
#12 0x00002aaab2f69d78 in IA__g_object_unref (_object=<value optimized out>)
    at gobject.c:1760
#13 0x00002aaac88ade6c in gdk_pixbuf__svg_image_stop_load (data=0x126bfc0, 
    error=0x30) at io-svg.c:166
#14 0x00002aaab177a346 in IA__gdk_pixbuf_loader_close (loader=0x170bf00, 
    error=0x167f038) at gdk-pixbuf-loader.c:715
#15 0x00002aaab0af9f37 in icon_info_ensure_scale_and_pixbuf (
    icon_info=0x167f000, scale_only=<value optimized out>)
    at gtkicontheme.c:2595
#16 0x00002aaab0afa23e in IA__gtk_icon_info_load_icon (icon_info=0x167f000, 
    error=0x0) at gtkicontheme.c:2756
#17 0x00002aaab0afbd0a in IA__gtk_icon_theme_load_icon (
    icon_theme=<value optimized out>, icon_name=0x67f050 "evolution", size=48, 
    flags=GTK_ICON_LOOKUP_USE_BUILTIN, error=0x0) at gtkicontheme.c:1414
#18 0x00002aaab0c3750f in icon_list_from_theme (widget=<value optimized out>, 
    name=0x67f050 "evolution") at gtkwindow.c:2778
#19 0x00002aaab0c37b0a in gtk_window_realize_icon (window=0x1390800)
    at gtkwindow.c:2851
#20 0x00002aaab0c3ed8d in gtk_window_realize (widget=<value optimized out>)
    at gtkwindow.c:4383
#21 0x00002aaab2f67f19 in IA__g_closure_invoke (closure=0x709aa0, 
    return_value=0x0, n_param_values=1, param_values=0x7fff9129c560, 
    invocation_hint=0x7fff9129c420) at gclosure.c:490
#22 0x00002aaab2f77bce in signal_emit_unlocked_R (node=0x712570, detail=0, 
    instance=0x1390800, emission_return=0x0, 
    instance_and_params=0x7fff9129c560) at gsignal.c:2370
#23 0x00002aaab2f78bd4 in IA__g_signal_emit_valist (instance=0x1390800, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff9129c7e0)
    at gsignal.c:2199
#24 0x00002aaab2f78da3 in IA__g_signal_emit (instance=0x2aaab343bca0, 
    signal_id=176, detail=0) at gsignal.c:2243
#25 0x00002aaab0c3169f in IA__gtk_widget_realize (widget=0x1390800)
    at gtkwidget.c:2498
Comment 1 Matthew Barnes 2007-08-02 16:10:21 EDT
Andre, any idea what version of Evolution and GTK+ were being used?
Comment 2 Andre Klapper 2007-08-03 13:49:54 EDT
no, but the trace in this report here has

Distribution: Fedora release 7 (Moonshine)
Gnome Release: 2.18.3 2007-07-02 (Red Hat, Inc)

i've asked the reporters upstream.
Comment 3 Allan Engelhardt 2007-08-05 05:13:33 EDT
Certainly it happened with

evolution.x86_64 2.10.3-1.fc7
gtk2.x86_64 2.10.13-1.fc7
gtk+.x86_64 1.2.10-57.fc7

I've just tried to reproduce the bug with the latest versions

evolution.x86_64 2.10.3-2.fc7
gtk2.x86_64 2.10.14-3.fc7
gtk+.x86_64 1.2.10-57.fc7 (this one is the same as above)

following my recipe at http://bugzilla.gnome.org/show_bug.cgi?id=456482 but I
got an instance of the bug http://bugzilla.gnome.org/show_bug.cgi?id=445445
which unfortunately does not leave a stack trace.  (I am betting that they are
both memory corruptions.)
Comment 4 Milan Crha 2007-11-21 10:53:09 EST
I only added a link [1] to upstream bugzilla, even that bug waits on "Need Info"
state. Can you look and answer the question there, if possible? Thanks in advance.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=443410
Comment 5 Matthew Barnes 2008-03-10 01:55:06 EDT
Moving this back upstream.  Whatever caused this seems to have been fixed in
Fedora 8.  Stacktrace implies this is not an Evolution issue anyway.

Note You need to log in before you can comment on or make changes to this bug.